/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.isobus.type;

import nl.cloudfarming.client.isobus.model.BinaryDataType;
import nl.cloudfarming.client.isobus.model.XmlField;

/**
 * enum which describes the datatypes of the Grid object 
 * @author Merijn Zengers
 */
public enum GridFieldEnum implements XmlField{
    //GRD : J TreatmentZoneCode
    TREATMENT_ZONE_CODE_TYPE("J", BinaryDataType.BIT8_UNSIGNED);
    
    String xmlField = "";
    BinaryDataType dataType = null;
    
    GridFieldEnum(String xmlField, BinaryDataType dataType) {
        this.xmlField = xmlField;
        this.dataType = dataType;
    }
    @Override
    public String getAttributeName() {
        return xmlField;
    }

    @Override
    public BinaryDataType getDataType() {
        return dataType;
    }
    
}
